Bug 993605 - (CVE-2013-1717) CVE-2013-1717 Mozilla: Local Java applets may read contents of local file system (MFSA 2013-75)
CVE-2013-1717 Mozilla: Local Java applets may read contents of local file sys...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130807,repor...
: Security
Depends On:
Blocks: 990364
  Show dependency treegraph
 
Reported: 2013-08-06 05:26 EDT by Huzaifa S. Sidhpurwala
Modified: 2016-06-10 17:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-10 17:11:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2013-08-06 05:26:34 EDT
Security researcher Georgi Guninski reported an issue with Java applets where in some circumstances the applet could access files on the local system when loaded using the a file:/// URI and violate file origin policy due to interaction with the codebase parameter. This affects applets running on the local file system. Mozilla developer John Schoenick later discovered that fixes for this issue were inadequate and allowed the invocation of Java applets to bypass security checks in additional circumstances. This could lead to untrusted Java applets having read-only access on the local files system if used in conjunction with a method to download a file to a known or guessable path.

In general these flaws cannot be exploited through email in the Thunderbird product because scripting is disabled, but are potentially a risk in browser or browser-like contexts.


External Reference:

http://www.mozilla.org/security/announce/2013/mfsa2013-75.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Georgi Guninski as the original reporter.
Comment 1 errata-xmlrpc 2013-08-07 04:24:45 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:1140 https://rhn.redhat.com/errata/RHSA-2013-1140.html
Comment 2 errata-xmlrpc 2013-08-07 14:10:33 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2013:1142 https://rhn.redhat.com/errata/RHSA-2013-1142.html

Note You need to log in before you can comment on or make changes to this bug.